Index: /trunk/anuga_core/source/anuga_parallel/test_parallel_distribute_mesh.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/test_parallel_distribute_mesh.py	(revision 9173)
+++ /trunk/anuga_core/source/anuga_parallel/test_parallel_distribute_mesh.py	(revision 9174)
@@ -196,5 +196,6 @@
         #----------------------------------------------------------------------------------
         points, vertices, boundary, quantities, \
-                ghost_recv_dict, full_send_dict, tri_map, node_map, ghost_layer_width =\
+                ghost_recv_dict, full_send_dict, tri_map, node_map, tri_l2g, node_l2g, \
+                ghost_layer_width =\
         extract_submesh(submesh, triangles_per_proc)
 
@@ -226,5 +227,6 @@
         points, vertices, boundary, quantities, \
                 ghost_recv_dict, full_send_dict, \
-                no_full_nodes, no_full_trigs, tri_map, node_map, ghost_layer_width  = \
+                no_full_nodes, no_full_trigs, tri_map, node_map, tri_l2g, node_l2g, \
+                ghost_layer_width  = \
                 rec_submesh(0, verbose=False)    
 
Index: /trunk/anuga_core/source/anuga_parallel/test_parallel_frac_op.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/test_parallel_frac_op.py	(revision 9173)
+++ /trunk/anuga_core/source/anuga_parallel/test_parallel_frac_op.py	(revision 9174)
@@ -38,5 +38,6 @@
 from anuga.geometry.polygon import inside_polygon, is_inside_polygon, line_intersect
 
-from parallel_operator_factory import Inlet_operator, Boyd_box_operator
+#from parallel_operator_factory import Inlet_operator, Boyd_box_operator
+from anuga import Inlet_operator, Boyd_box_operator
 
 import random
@@ -48,4 +49,5 @@
 This test exercises the parallel culvert and checks values
 """
+
 verbose = False
 nprocs = 3
@@ -72,21 +74,20 @@
     for i in range(N):
 
-       # Sloping Embankment Across Channel
+        # Sloping Embankment Across Channel
         if 5.0 < x[i] < 10.1:
             # Cut Out Segment for Culvert face                
             if  1.0+(x[i]-5.0)/5.0 <  y[i]  < 4.0 - (x[i]-5.0)/5.0: 
-               z[i]=z[i]
+                z[i]=z[i]
             else:
-               z[i] +=  0.5*(x[i] -5.0)    # Sloping Segment  U/S Face
+                z[i] +=  0.5*(x[i] -5.0)    # Sloping Segment  U/S Face
         if 10.0 < x[i] < 12.1:
-           z[i] +=  2.5                    # Flat Crest of Embankment
+            z[i] +=  2.5                    # Flat Crest of Embankment
         if 12.0 < x[i] < 14.5:
             # Cut Out Segment for Culvert face                
             if  2.0-(x[i]-12.0)/2.5 <  y[i]  < 3.0 + (x[i]-12.0)/2.5:
-               z[i]=z[i]
+                z[i]=z[i]
             else:
-               z[i] +=  2.5-1.0*(x[i] -12.0) # Sloping D/S Face
+                z[i] +=  2.5-1.0*(x[i] -12.0) # Sloping D/S Face
                    
-        
     return z
 
@@ -191,35 +192,4 @@
     if boyd_box0 is not None and verbose: boyd_box0.print_statistics()
 
-#    if parallel:
-#        factory = Parallel_operator_factory(domain, verbose = True)
-#
-#        inlet0 = factory.inlet_operator_factory(line0, Q0)
-#        inlet1 = factory.inlet_operator_factory(line1, Q1)
-#        
-#        boyd_box0 = factory.boyd_box_operator_factory(end_points=[[9.0, 2.5],[19.0, 2.5]],
-#                                          losses=1.5,
-#                                          width=1.5,
-#                                          apron=5.0,
-#                                          use_momentum_jet=True,
-#                                          use_velocity_head=False,
-#                                          manning=0.013,
-#                                          verbose=False)
-#
-#    else:
-#        inlet0 = Inlet_operator(domain, line0, Q0)
-#        inlet1 = Inlet_operator(domain, line1, Q1)
-#
-#        # Enquiry point [ 19.    2.5] is contained in two domains in 4 proc case
-#        boyd_box0 = Boyd_box_operator(domain,
-#                          end_points=[[9.0, 2.5],[19.0, 2.5]],
-#                          losses=1.5,
-#                          width=1.5,
-#                          apron=5.0,
-#                          use_momentum_jet=True,
-#                          use_velocity_head=False,
-#                          manning=0.013,
-#                          verbose=False)
-    
-    #######################################################################
 
     ##-----------------------------------------------------------------------
@@ -276,4 +246,7 @@
                 if verbose: 
                     print 'P%d tri %d, control = %s, actual = %s, Success = %s' %(myid, i, control_data[i], stage.centroid_values[tri_ids[i]], local_success) 
+                assert local_success, 'Ouput P%d tri %d, control = %s, actual = %s, Success = %s' %(myid, i, control_data[i], stage.centroid_values[tri_ids[i]], local_success) 
+
+
                 
                 
@@ -299,5 +272,5 @@
 
 
-        assert(success)
+        #assert(success)
 
     return control_data
@@ -322,4 +295,5 @@
 
 if __name__=="__main__":
+
     if numprocs == 1:
         runner = unittest.TextTestRunner()
Index: /trunk/anuga_core/source/anuga_parallel/test_parallel_inlet_operator.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/test_parallel_inlet_operator.py	(revision 9173)
+++ /trunk/anuga_core/source/anuga_parallel/test_parallel_inlet_operator.py	(revision 9174)
@@ -72,19 +72,19 @@
     for i in range(N):
 
-       # Sloping Embankment Across Channel
+        # Sloping Embankment Across Channel
         if 5.0 < x[i] < 10.1:
             # Cut Out Segment for Culvert face                
             if  1.0+(x[i]-5.0)/5.0 <  y[i]  < 4.0 - (x[i]-5.0)/5.0: 
-               z[i]=z[i]
+                z[i]=z[i]
             else:
-               z[i] +=  0.5*(x[i] -5.0)    # Sloping Segment  U/S Face
+                z[i] +=  0.5*(x[i] -5.0)    # Sloping Segment  U/S Face
         if 10.0 < x[i] < 12.1:
-           z[i] +=  2.5                    # Flat Crest of Embankment
+            z[i] +=  2.5                    # Flat Crest of Embankment
         if 12.0 < x[i] < 14.5:
             # Cut Out Segment for Culvert face                
             if  2.0-(x[i]-12.0)/2.5 <  y[i]  < 3.0 + (x[i]-12.0)/2.5:
-               z[i]=z[i]
+                z[i]=z[i]
             else:
-               z[i] +=  2.5-1.0*(x[i] -12.0) # Sloping D/S Face
+                z[i] +=  2.5-1.0*(x[i] -12.0) # Sloping D/S Face
                    
         
@@ -104,7 +104,7 @@
     success = True
 
-##-----------------------------------------------------------------------
-## Setup domain
-##-----------------------------------------------------------------------
+    ##-----------------------------------------------------------------------
+    ## Setup domain
+    ##-----------------------------------------------------------------------
 
     points, vertices, boundary = rectangular_cross(int(length/dx),
@@ -117,7 +117,7 @@
     domain.set_default_order(2)
 
-##-----------------------------------------------------------------------
-## Distribute domain
-##-----------------------------------------------------------------------
+    ##-----------------------------------------------------------------------
+    ## Distribute domain
+    ##-----------------------------------------------------------------------
 
     if parallel:
@@ -126,7 +126,7 @@
     
 
-##-----------------------------------------------------------------------
-## Setup boundary conditions
-##-----------------------------------------------------------------------
+    ##-----------------------------------------------------------------------
+    ## Setup boundary conditions
+    ##-----------------------------------------------------------------------
     
     domain.set_quantity('elevation', topography) 
@@ -141,7 +141,7 @@
 
 
-##-----------------------------------------------------------------------
-## Determine triangle index coinciding with test points
-##-----------------------------------------------------------------------
+    ##-----------------------------------------------------------------------
+    ## Determine triangle index coinciding with test points
+    ##-----------------------------------------------------------------------
 
     assert(test_points is not None)
@@ -173,15 +173,4 @@
     inlet1 = Inlet_operator(domain, line1, Q1, verbose = False)
     
-    # Enquiry point [ 19.    2.5] is contained in two domains in 4 proc case
-    
-    ## boyd_box0 = Boyd_box_operator(domain,
-    ##                               end_points=[[9.0, 2.5],[19.0, 2.5]],
-    ##                               losses=1.5,
-    ##                               width=5.0,
-    ##                               apron=5.0,
-    ##                               use_momentum_jet=True,
-    ##                               use_velocity_head=False,
-    ##                               manning=0.013,
-    ##                               verbose=False)
         
     if inlet0 is not None and verbose: inlet0.print_statistics()
@@ -189,35 +178,4 @@
     #if boyd_box0 is not None and verbose: boyd_box0.print_statistics()
 
-#    if parallel:
-#        factory = Parallel_operator_factory(domain, verbose = True)
-#
-#        inlet0 = factory.inlet_operator_factory(line0, Q0)
-#        inlet1 = factory.inlet_operator_factory(line1, Q1)
-#        
-#        boyd_box0 = factory.boyd_box_operator_factory(end_points=[[9.0, 2.5],[19.0, 2.5]],
-#                                          losses=1.5,
-#                                          width=1.5,
-#                                          apron=5.0,
-#                                          use_momentum_jet=True,
-#                                          use_velocity_head=False,
-#                                          manning=0.013,
-#                                          verbose=False)
-#
-#    else:
-#        inlet0 = Inlet_operator(domain, line0, Q0)
-#        inlet1 = Inlet_operator(domain, line1, Q1)
-#
-#        # Enquiry point [ 19.    2.5] is contained in two domains in 4 proc case
-#        boyd_box0 = Boyd_box_operator(domain,
-#                          end_points=[[9.0, 2.5],[19.0, 2.5]],
-#                          losses=1.5,
-#                          width=1.5,
-#                          apron=5.0,
-#                          use_momentum_jet=True,
-#                          use_velocity_head=False,
-#                          manning=0.013,
-#                          verbose=False)
-    
-    #######################################################################
 
     ##-----------------------------------------------------------------------
@@ -246,7 +204,7 @@
     success = True
 
-##-----------------------------------------------------------------------
-## Assign/Test Control data
-##-----------------------------------------------------------------------
+    ##-----------------------------------------------------------------------
+    ## Assign/Test Control data
+    ##-----------------------------------------------------------------------
 
     if not parallel:
Index: /trunk/anuga_core/source/anuga_parallel/test_sequential_dist_sw_flow.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/test_sequential_dist_sw_flow.py	(revision 9173)
+++ /trunk/anuga_core/source/anuga_parallel/test_sequential_dist_sw_flow.py	(revision 9174)
@@ -33,4 +33,6 @@
 from anuga_parallel.sequential_distribute import sequential_distribute_dump
 from anuga_parallel.sequential_distribute import sequential_distribute_load
+
+import anuga.utilities.plot_utils as util
 
 
@@ -45,4 +47,8 @@
 verbose = False
 
+
+new_parameters = {}
+new_parameters['ghost_layer_width'] = 2
+
 #---------------------------------
 # Setup Functions
@@ -61,5 +67,5 @@
     if myid == 0:
         domain = rectangular_cross_domain(M, N)
-        domain.set_name('sequential_dist_runup')                    # Set sww filename
+        domain.set_name('odomain')                    # Set sww filename
         domain.set_datadir('.')   
         domain.set_quantity('elevation', topography) # Use function for elevation
@@ -74,5 +80,5 @@
     if myid == 0:
         if verbose: print 'DUMPING PARTITION DATA'
-        sequential_distribute_dump(domain, numprocs, verbose=verbose)    
+        sequential_distribute_dump(domain, numprocs, verbose=verbose, parameters=new_parameters)    
 
     #--------------------------------------------------------------------------
@@ -82,9 +88,10 @@
         
         if myid == 0 and verbose : print 'DISTRIBUTING TO PARALLEL DOMAIN'
-        pdomain = distribute(domain, verbose=verbose)
+        pdomain = distribute(domain, verbose=verbose, parameters=new_parameters)
+        pdomain.set_name('pdomain')
         
         if myid == 0 and verbose : print 'LOADING IN PARALLEL DOMAIN'
-        sdomain = sequential_distribute_load(filename='sequential_dist_runup', verbose = verbose)
-        
+        sdomain = sequential_distribute_load(filename='odomain', verbose = verbose)
+        sdomain.set_name('sdomain')
         
     if myid == 0 and verbose: print 'EVOLVING pdomain'    
@@ -94,4 +101,24 @@
     setup_and_evolve(sdomain, verbose=verbose)
     
+    if myid == 0:
+        if verbose: print 'EVOLVING odomain'   
+        setup_and_evolve(domain, verbose=verbose)
+    
+
+    if myid == 0:
+        parameter_file=open('odomain.txt', 'w')
+        from pprint import pprint
+        pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+        parameter_file.close()
+
+        parameter_file=open('sdomain.txt', 'w')
+        from pprint import pprint
+        pprint(sdomain.get_algorithm_parameters(),parameter_file,indent=4)
+        parameter_file.close()
+
+        parameter_file=open('pdomain.txt', 'w')
+        from pprint import pprint
+        pprint(pdomain.get_algorithm_parameters(),parameter_file,indent=4)
+        parameter_file.close()        
     
     assert num.allclose(pdomain.quantities['stage'].centroid_values, sdomain.quantities['stage'].centroid_values)
@@ -103,8 +130,119 @@
     
 
-
-
-
-
+    #---------------------------------
+    # Now compare the merged sww files
+    #---------------------------------
+    if myid == 0:
+        if verbose: print 'COMPARING SWW FILES'
+        
+        odomain_v = util.get_output('odomain.sww')
+        odomain_c = util.get_centroids(odomain_v)
+
+        pdomain_v = util.get_output('pdomain.sww')
+        pdomain_c = util.get_centroids(pdomain_v)
+        
+        sdomain_v = util.get_output('sdomain.sww')
+        sdomain_c = util.get_centroids(sdomain_v)
+
+        # Test some values against the original ordering
+        
+        if verbose:
+            
+            order = 0
+            print 'PDOMAIN CENTROID VALUES'
+            print num.linalg.norm(odomain_c.x-pdomain_c.x,ord=order)
+            print num.linalg.norm(odomain_c.y-pdomain_c.y,ord=order)
+            print num.linalg.norm(odomain_c.stage[-1]-pdomain_c.stage[-1],ord=order)
+            print num.linalg.norm(odomain_c.xmom[-1]-pdomain_c.xmom[-1],ord=order)
+            print num.linalg.norm(odomain_c.ymom[-1]-pdomain_c.ymom[-1],ord=order)
+            print num.linalg.norm(odomain_c.xvel[-1]-pdomain_c.xvel[-1],ord=order)
+            print num.linalg.norm(odomain_c.yvel[-1]-pdomain_c.yvel[-1],ord=order)        
+            
+             
+            print 'SDOMAIN CENTROID VALUES'        
+            print num.linalg.norm(odomain_c.x-sdomain_c.x,ord=order)
+            print num.linalg.norm(odomain_c.y-sdomain_c.y,ord=order)
+            print num.linalg.norm(odomain_c.stage[-1]-sdomain_c.stage[-1],ord=order)
+            print num.linalg.norm(odomain_c.xmom[-1]-sdomain_c.xmom[-1],ord=order)
+            print num.linalg.norm(odomain_c.ymom[-1]-sdomain_c.ymom[-1],ord=order)
+            print num.linalg.norm(odomain_c.xvel[-1]-sdomain_c.xvel[-1],ord=order)
+            print num.linalg.norm(odomain_c.yvel[-1]-sdomain_c.yvel[-1],ord=order)
+            
+            print 'PDOMAIN VERTEX VALUES'        
+            print num.linalg.norm(odomain_v.stage[-1]-pdomain_v.stage[-1],ord=order)
+            print num.linalg.norm(odomain_v.xmom[-1]-pdomain_v.xmom[-1],ord=order)
+            print num.linalg.norm(odomain_v.ymom[-1]-pdomain_v.ymom[-1],ord=order)
+            print num.linalg.norm(odomain_v.xvel[-1]-pdomain_v.xvel[-1],ord=order)
+            print num.linalg.norm(odomain_v.yvel[-1]-pdomain_v.yvel[-1],ord=order)
+            
+            print 'SDOMAIN VERTEX VALUES'     
+            print num.linalg.norm(odomain_v.stage[-1]-sdomain_v.stage[-1],ord=order)
+            print num.linalg.norm(odomain_v.xmom[-1]-sdomain_v.xmom[-1],ord=order)
+            print num.linalg.norm(odomain_v.ymom[-1]-sdomain_v.ymom[-1],ord=order)
+            print num.linalg.norm(odomain_v.xvel[-1]-sdomain_v.xvel[-1],ord=order)
+            print num.linalg.norm(odomain_v.yvel[-1]-sdomain_v.yvel[-1],ord=order)
+            
+            
+            
+
+        assert num.allclose(odomain_c.stage,pdomain_c.stage)
+        assert num.allclose(odomain_c.xmom,pdomain_c.xmom)
+        assert num.allclose(odomain_c.ymom,pdomain_c.ymom)
+        assert num.allclose(odomain_c.xvel,pdomain_c.xvel)
+        assert num.allclose(odomain_c.yvel,pdomain_c.yvel)
+        
+        assert num.allclose(odomain_v.x,pdomain_v.x)
+        assert num.allclose(odomain_v.y,pdomain_v.y)
+                
+        assert num.linalg.norm(odomain_v.x-pdomain_v.x,ord=0) == 0
+        assert num.linalg.norm(odomain_v.y-pdomain_v.y,ord=0) == 0
+        assert num.linalg.norm(odomain_v.stage[-1]-pdomain_v.stage[-1],ord=0) < 100
+        assert num.linalg.norm(odomain_v.xmom[-1]-pdomain_v.xmom[-1],ord=0) < 100 
+        assert num.linalg.norm(odomain_v.ymom[-1]-pdomain_v.ymom[-1],ord=0) < 100
+        assert num.linalg.norm(odomain_v.xvel[-1]-pdomain_v.xvel[-1],ord=0) < 100
+        assert num.linalg.norm(odomain_v.yvel[-1]-pdomain_v.yvel[-1],ord=0) < 100     
+        
+        assert num.allclose(odomain_c.x,sdomain_c.x)
+        assert num.allclose(odomain_c.y,sdomain_c.y)
+        assert num.allclose(odomain_c.stage,sdomain_c.stage)
+        assert num.allclose(odomain_c.xmom,sdomain_c.xmom)
+        assert num.allclose(odomain_c.ymom,sdomain_c.ymom)
+        assert num.allclose(odomain_c.xvel,sdomain_c.xvel)
+        assert num.allclose(odomain_c.yvel,sdomain_c.yvel)
+        
+        assert num.allclose(odomain_v.x,sdomain_v.x)
+        assert num.allclose(odomain_v.y,sdomain_v.y)
+        
+        order = 0
+        assert num.linalg.norm(odomain_v.x-sdomain_v.x,ord=order) == 0
+        assert num.linalg.norm(odomain_v.y-sdomain_v.y,ord=order) == 0
+        assert num.linalg.norm(odomain_v.stage[-1]-sdomain_v.stage[-1],ord=order) < 100
+        assert num.linalg.norm(odomain_v.xmom[-1]-sdomain_v.xmom[-1],ord=order) < 100
+        assert num.linalg.norm(odomain_v.ymom[-1]-sdomain_v.ymom[-1],ord=order) < 100
+        assert num.linalg.norm(odomain_v.xvel[-1]-sdomain_v.xvel[-1],ord=order) < 100
+        assert num.linalg.norm(odomain_v.yvel[-1]-sdomain_v.yvel[-1],ord=order) < 100        
+                
+        # COMPARE CENTROID PDOMAIN SDOMAIN  
+        assert num.allclose(pdomain_c.x,sdomain_c.x)
+        assert num.allclose(pdomain_c.y,sdomain_c.y)
+        assert num.allclose(pdomain_c.stage[-1],sdomain_c.stage[-1])
+        assert num.allclose(pdomain_c.xmom[-1],sdomain_c.xmom[-1])
+        assert num.allclose(pdomain_c.ymom[-1],sdomain_c.ymom[-1])
+        assert num.allclose(pdomain_c.xvel[-1],sdomain_c.xvel[-1])
+        assert num.allclose(pdomain_c.yvel[-1],sdomain_c.yvel[-1])
+            
+            
+        # COMPARE VERTEX PDOMAIN SDOMAIN
+        assert num.allclose(pdomain_v.x,sdomain_v.x)
+        assert num.allclose(pdomain_v.y,sdomain_v.y)
+        assert num.allclose(pdomain_v.stage[-1],sdomain_v.stage[-1])
+        assert num.allclose(pdomain_v.xmom[-1],sdomain_v.xmom[-1])
+        assert num.allclose(pdomain_v.ymom[-1],sdomain_v.ymom[-1])
+        assert num.allclose(pdomain_v.xvel[-1],sdomain_v.xvel[-1])
+        assert num.allclose(pdomain_v.yvel[-1],sdomain_v.yvel[-1])   
+            
+
+        
+        
 def setup_and_evolve(domain, verbose=False):
 
@@ -113,5 +251,5 @@
     #--------------------------------------------------------------------------
     domain.set_flow_algorithm('DE0')
-    domain.set_quantities_to_be_stored(None)
+    #domain.set_store_vertices_uniquely()
 
     #------------------------------------------------------------------------------
@@ -131,6 +269,9 @@
     for t in domain.evolve(yieldstep = yieldstep, finaltime = finaltime):
         if myid == 0 and verbose : domain.write_time()
-
-
+        #if myid == 0 and verbose : print domain.quantities['stage'].get_maximum_value()
+
+
+    domain.sww_merge()
+    
 
 # Test an nprocs-way run of the shallow water equations
Index: /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/numerical_avalanche_dry.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/numerical_avalanche_dry.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/numerical_avalanche_dry.py	(revision 9174)
@@ -103,5 +103,5 @@
 alg = args.alg
 cfl = args.cfl
-verbose = args.v
+verbose = args.verbose
 
 if myid == 0:
Index: /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/validate_avalanche_dry.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/validate_avalanche_dry.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/validate_avalanche_dry.py	(revision 9174)
@@ -11,5 +11,5 @@
 
 args = anuga.get_args()
-verbose = args.v
+verbose = args.verbose
 
 class Test_results(unittest.TestCase):
Index: /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/numerical_cg_transient.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/numerical_cg_transient.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/numerical_cg_transient.py	(revision 9174)
@@ -29,5 +29,5 @@
 alg = args.alg
 cfl = args.cfl
-verbose = args.v
+verbose = args.verbose
 
 
Index: /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/numerical_dam_break_dry.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/numerical_dam_break_dry.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/numerical_dam_break_dry.py	(revision 9174)
@@ -52,5 +52,5 @@
 alg = args.alg
 cfl = args.cfl
-verbose = args.v
+verbose = args.verbose
 
 print args
Index: /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/validate_dam_break_dry.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/validate_dam_break_dry.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/validate_dam_break_dry.py	(revision 9174)
@@ -13,5 +13,5 @@
 indent = anuga.indent
 
-verbose = args.v
+verbose = args.verbose
 
 class Test_results(unittest.TestCase):
Index: /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/validate_dam_break_wet.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/validate_dam_break_wet.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/validate_dam_break_wet.py	(revision 9174)
@@ -12,5 +12,5 @@
 indent = anuga.indent
 
-verbose = args.v
+verbose = args.verbose
 
 class Test_results(unittest.TestCase):
Index: /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_immersed_bump/numerical_immersed_bump.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_immersed_bump/numerical_immersed_bump.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_immersed_bump/numerical_immersed_bump.py	(revision 9174)
@@ -39,5 +39,5 @@
 args = anuga.get_args()
 alg = args.alg
-verbose = args.v
+verbose = args.verbose
 
 if myid == 0:
Index: /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_steep_island/numerical_steep_island.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_steep_island/numerical_steep_island.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_steep_island/numerical_steep_island.py	(revision 9174)
@@ -29,5 +29,5 @@
 args = anuga.get_args()
 alg = args.alg
-verbose = args.v
+verbose = args.verbose
 
 dx = 1.
Index: /trunk/anuga_core/validation_tests/analytical_exact/landslide_tsunami/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/landslide_tsunami/produce_results.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/landslide_tsunami/produce_results.py	(revision 9174)
@@ -2,18 +2,9 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
 
+args = anuga.get_args()
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('runup.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
+produce_report('runup.py', args=args)
 
-def clean():
-    autoclean()
-
-main()
Index: /trunk/anuga_core/validation_tests/analytical_exact/landslide_tsunami/runup.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/landslide_tsunami/runup.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/landslide_tsunami/runup.py	(revision 9174)
@@ -5,4 +5,5 @@
 #--------
 import anuga
+from anuga import myid, finalize, distribute
 
 import numpy
@@ -11,4 +12,9 @@
 from math import sin, pi, exp
 
+
+args = anuga.get_args()
+alg = args.alg
+verbose = args.verbose
+
 #timer = strftime('%Y%m%d_%H%M%S',localtime())
 #---------
@@ -16,5 +22,5 @@
 # --- Very inefficient mesh!
 #---------
-print ' Building mesh (alternative non-uniform mesh could be much more efficient)'
+
 dx = dy = 25.
 l1 = 60.*1000.
@@ -22,24 +28,5 @@
 nx =int(l1/dx)
 ny =int(l2/dy)
-points, vertices, boundary = anuga.rectangular_cross(nx,ny, len1=l1,len2=l2, origin=(-200., 0.))
 
-print 'Creating Domain'
-domain=anuga.Domain(points,vertices,boundary)    # Create Domain
-domain.set_name('runup_v2')                         # Output to file runup.sww
-domain.set_datadir('.')                          # Use current folder
-domain.set_quantities_to_be_stored({'stage': 2, 'xmomentum': 2, 'ymomentum': 2, 'elevation': 1})
-
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-#domain.set_CFL(cfl)
-
-#------------------
-# Define topography
-#------------------
 
 # Beach slope of 1/10
@@ -47,17 +34,45 @@
 	return -(x-200.)/10. 
 
-# Define initial condition using file
-initial_prof=scipy.genfromtxt('./DATA/initial_condition.txt', skip_header=13)
-initial_prof_fun=scipy.interpolate.interp1d(initial_prof[:,0], initial_prof[:,1], fill_value=0., bounds_error=False)
+#--------------------------------------------------------------------------------
+# Create Sequential Domain
+#--------------------------------------------------------------------------------
+if myid == 0:
+	print ' Building mesh (alternative non-uniform mesh could be much more efficient)'
+	points, vertices, boundary = anuga.rectangular_cross(nx,ny, len1=l1,len2=l2, origin=(-200., 0.))
+	
+	print 'Creating Domain'
+	domain=anuga.Domain(points,vertices,boundary)    # Create Domain
+	domain.set_name('runup_v2')                         # Output to file runup.sww
+	domain.set_datadir('.')                          # Use current folder
+	domain.set_quantities_to_be_stored({'stage': 2, 'xmomentum': 2, 'ymomentum': 2, 'elevation': 1})
+	
 
-def stagefun(x,y):
-    return initial_prof_fun(x-200.) 
+	domain.set_flow_algorithm(alg)
 
-domain.set_quantity('elevation',topography)     # Use function for elevation
+	#------------------
+	# Define Initial conditions
+	#------------------
+	
+	
+	# Define initial condition using file
+	initial_prof=scipy.genfromtxt('./DATA/initial_condition.txt', skip_header=13)
+	initial_prof_fun=scipy.interpolate.interp1d(initial_prof[:,0], initial_prof[:,1], fill_value=0., bounds_error=False)
+	
+	def stagefun(x,y):
+	    return initial_prof_fun(x-200.) 
+	
+	domain.set_quantity('elevation',topography)     # Use function for elevation	
+	domain.set_quantity('friction',0.000)             # Constant friction
+	domain.set_quantity('stage', stagefun)              
 
-domain.set_quantity('friction',0.000)             # Constant friction
+else:
+	
+	domain = None
 
-domain.set_quantity('stage', stagefun)              
-
+#------------------------------------------------------------------------
+# Parallel Domain
+#------------------------------------------------------------------------	
+domain = distribute(domain)
+	
 #--------------------------
 # Setup boundary conditions
@@ -73,10 +88,11 @@
 # Produce a documentation of parameters
 #------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+	parameter_file=open('parameters.tex', 'w')
+	parameter_file.write('\\begin{verbatim}\n')
+	from pprint import pprint
+	pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+	parameter_file.write('\\end{verbatim}\n')
+	parameter_file.close()
 
 #------------------------------
@@ -85,5 +101,5 @@
 
 for t in domain.evolve(yieldstep=5.0,finaltime=350.0):
-    print domain.timestepping_statistics()
+	if myid == 0: print domain.timestepping_statistics()
     #uh=domain.quantities['xmomentum'].centroid_values
     #vh=domain.quantities['ymomentum'].centroid_values
@@ -93,2 +109,6 @@
     #print 'peak speed is', vel.max()
 
+
+domain.sww_merge(delete_old=True)
+
+finalize()
